ALAS2-2020-1553


Amazon Linux 2 Security Advisory: ALAS-2020-1553
Advisory Release Date: 2020-11-09 17:10 Pacific
Advisory Updated Date: 2020-11-11 17:16 Pacific
Severity: Medium
References: CVE-2019-12450 

Issue Overview:

file_copy_fallback in gio/gfile.c in GNOME GLib 2.15.0 through 2.61.1 does not properly restrict file permissions while a copy operation is in progress. Instead, default permissions are used. (CVE-2019-12450 )


Affected Packages:

glib2


Issue Correction:
Run yum update glib2 to update your system.

New Packages:
aarch64:
    glib2-2.56.1-7.amzn2.0.1.aarch64
    glib2-devel-2.56.1-7.amzn2.0.1.aarch64
    glib2-fam-2.56.1-7.amzn2.0.1.aarch64
    glib2-static-2.56.1-7.amzn2.0.1.aarch64
    glib2-tests-2.56.1-7.amzn2.0.1.aarch64
    glib2-debuginfo-2.56.1-7.amzn2.0.1.aarch64

i686:
    glib2-2.56.1-7.amzn2.0.1.i686
    glib2-devel-2.56.1-7.amzn2.0.1.i686
    glib2-fam-2.56.1-7.amzn2.0.1.i686
    glib2-static-2.56.1-7.amzn2.0.1.i686
    glib2-tests-2.56.1-7.amzn2.0.1.i686
    glib2-debuginfo-2.56.1-7.amzn2.0.1.i686

noarch:
    glib2-doc-2.56.1-7.amzn2.0.1.noarch

src:
    glib2-2.56.1-7.amzn2.0.1.src

x86_64:
    glib2-2.56.1-7.amzn2.0.1.x86_64
    glib2-devel-2.56.1-7.amzn2.0.1.x86_64
    glib2-fam-2.56.1-7.amzn2.0.1.x86_64
    glib2-static-2.56.1-7.amzn2.0.1.x86_64
    glib2-tests-2.56.1-7.amzn2.0.1.x86_64
    glib2-debuginfo-2.56.1-7.amzn2.0.1.x86_64